Internal error. An error occurred on the page you were trying to access. If you continue to experience

problems please contact your redMine administrator for assistance.
Description

Hey.

I'm having problems when migrating to a new server (old - Debian 6.0, the new ubuntu 11.10). I installed redmine, it works fine with

the new database. However, when I load the old database in mysql and I try to go to the projects, I receive the following message:

Internal error. An error occurred on the page you were trying to access. If you continue to experi

ence problems please contact your redMine administrator for assistance.

 This is my logs:

ActionView::TemplateError (undefined method `visible?' for #<ActiveRecord::Associations::BelongsTo

Association:0xb576f088>) on line #19 of app/views/projects/show.rhtml:

16:      <li><%=l(:label_subproject_plural)%>:

17:         <%= @subprojects.collect{|p| link_to(h(p), :action => 'show', :id => p)}.join(", ") %>

</li>

18:   <% end %>

19:     <% @project.visible_custom_field_values.each do |custom_value| %>

20:     <% if !custom_value.value.blank? %>

21:        <li><%= custom_value.custom_field.name%>: <%=h show_value(custom_value) %></li>

22:     <% end %>

    /usr/lib/ruby/vendor_ruby/active_record/associations/association_proxy.rb:217:in `method_missi

ng'

    app/models/custom_value.rb:38:in `visible?'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:91:in `to_proc'

    app/views/projects/show.rhtml:19:in `_run_rhtml_app47views47projects47show46rhtml'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:34:in `send'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:34:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:306:in `with_template'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:30:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/template.rb:205:in `render_template'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:265:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:348:in `_render_with_layout'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:262:in `render'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:1252:in `render_for_file'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:942:in `render_without_benchmark'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:51:in `render'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:51:in `render'

    /usr/lib/ruby/vendor_ruby/action_controller/mime_responds.rb:135:in `send'

    /usr/lib/ruby/vendor_ruby/action_controller/mime_responds.rb:135:in `custom'

    /usr/lib/ruby/vendor_ruby/action_controller/mime_responds.rb:179:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/mime_responds.rb:179:in `respond'

    /usr/lib/ruby/vendor_ruby/action_controller/mime_responds.rb:173:in `each'

    /usr/lib/ruby/vendor_ruby/action_controller/mime_responds.rb:173:in `respond'

    /usr/lib/ruby/vendor_ruby/action_controller/mime_responds.rb:107:in `respond_to'

    app/controllers/projects_controller.rb:165:in `show'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:1333:in `send'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:1333:in `perform_action_without_filters'

    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:617:in `call_filters'
    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:610:in `perform_action_without_benchmar

k'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in `perform_action_without_resc

ue'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in `perform_action_without_resc

ue'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:160:in `perform_action_without_flash'

    /usr/lib/ruby/vendor_ruby/action_controller/flash.rb:151:in `perform_action'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `send'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `process_without_filters'

    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:606:in `process'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:391:in `process'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:386:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/routing/route_set.rb:438:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:87:in `dispatch'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:121:in `_call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:130:in `build_middleware_stack'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/query_cache.rb:34:in `cac

he'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:9:in `cache'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:28:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:361:in

 `call'

    /usr/lib/ruby/vendor_ruby/action_controller/string_coercion.rb:25:in `call'

    /usr/lib/ruby/1.8/rack/head.rb:9:in `call'

    /usr/lib/ruby/1.8/rack/methodoverride.rb:24:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/params_parser.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/session/cookie_store.rb:99:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/failsafe.rb:26:in `call'

    /usr/lib/ruby/1.8/rack/lock.rb:11:in `call'

    /usr/lib/ruby/1.8/rack/lock.rb:11:in `synchronize'

    /usr/lib/ruby/1.8/rack/lock.rb:11:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:106:in `call'

    /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler

'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_applicat

ion'

    /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_applicat

ion'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2014-01-28 10:19 - Daniel Felix
I've encountered the same error for a while.

I solved it this way:

1. check if your database migration is valid.

2. check if your database table custom_value has a column visible

3. check if the mentioned database column has the proper value (true/false)

#2 - 2014-01-28 14:46 - evgeniy zub

Thank you, Daniel Felix, it's work for me :)

I add the field visible in database custom_fields with a value - 1, type: tinyint(1)

#3 - 2014-01-28 15:10 - evgeniy zub

- Status changed from New to Resolved

#4 - 2014-01-28 16:22 - Daniel Felix

Well some migration must fail. But not on all systems. It seems to be an incompatibility with some dbms. Can you give me the info which dbms you

use? Maybe someone or at least I could find the cause for this error.

#5 - 2014-01-28 16:32 - evgeniy zub

I don't have access to my old server, only backup. My new dbms is mysql 5.1.58.

#6 - 2014-01-29 08:10 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid
